
const routes = [
  {
    title: '首页',
    roles: ['person'],
    page: 'pages/index/index',
  },
  {
    title: '搜索',
    roles: ['person'],
    page: 'pages/search/search',
  },
  {
    title: '搜索结果',
    roles: ['person'],
    page: 'pages/searchResult/searchResult',
  },
  {
    title: '商铺详情',
    roles: ['person'],
    page: 'pages/details/foodDetails/foodDetails',
  },
  {
    title: '景点详情',
    roles: ['person'],
    page: 'pages/details/mjDetails/sceneryDetails',
  },
  {
    title: '民宿管理',
    roles: ['hotel'],
    page: 'pages/landlord/landlord',
  },
  {
    title: '商铺管理',
    roles: ['shop'],
    page: 'pages/spread/spreadIndex',
  },
  {
    title: '订单',
    roles: ['person'],
    page: 'pages/PayOrder/index',
  },
  {
    title: '联系我们',
    roles: ['person'],
    page: 'pages/MineUserAll/ContactMe/index',
  },
  {
    title: '我的收藏',
    roles: ['person'],
    page: 'pages/MineUserAll/Collect/index',
  },
  {
    title: '协议声明',
    roles: ['person'],
    page: 'pages/MineUserAll/Rules/index',
  },
  {
    title: '退款申请',
    roles: ['person'],
    page: 'pages/MineUserAll/RefundMoney/index',
  },
  {
    title: '确认退款',
    roles: ['person'],
    page: 'pages/MineUserAll/RefundMoney/CheckRefund/index',
  },
  {
    title: '我的订单',
    roles: ['person'],
    page: 'pages/MineUserAll/AllOrder/index',
  },
  {
    title: '套餐核销',
    roles: ['person'],
    page: 'pages/TobeShop/index',
  },
];

const pages = routes.map(x => x.page);

function getPage(role) {
  return routes.filter(x => x.roles.includes(role))
                .map(x => x.page);
}

module.exports = {
  routes,
  pages,
  getPage
}
